### Method

# Gtk TextBufferdelete_mark

#### Declaration [src]

    void
    gtk_text_buffer_delete_mark (
      GtkTextBuffer* buffer,
      GtkTextMark* mark
    )

#### Description [src]

Deletes `mark`, so that it’s no longer located anywhere in the buffer.

Removes the reference the buffer holds to the mark, so if you haven’t called `g_object_ref()` on the mark, it will be freed. Even if the mark isn’t freed, most operations on `mark` become invalid, until it gets added to a buffer again with `gtk_text_buffer_add_mark()`. Use `gtk_text_mark_get_deleted()` to find out if a mark has been removed from its buffer.

The `GtkTextBuffer::mark-deleted` signal will be emitted as notification after the mark is deleted.

#### Parameters

`mark`

  Type: `GtkTextMark`

  A `GtkTextMark` in `buffer`.

  The data is owned by the caller of the method.